import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { CnEnum } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-12-20 15:26
 */
interface CnEnumCU extends ConditionUtil<CnEnumCU> {
    CODE: FieldUtil<CnEnumCU>;
    NAME: FieldUtil<CnEnumCU>;
    VALUE: FieldUtil<CnEnumCU>;
    SEQ_NO: FieldUtil<CnEnumCU>;
    DESCRIPTION: FieldUtil<CnEnumCU>;
    CREATE_TIME: FieldUtil<CnEnumCU>;
    UPDATE_TIME: FieldUtil<CnEnumCU>;
}
declare class CnEnumMU extends TableUtilImpl<CnEnumCU, CnEnum> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): CnEnumCU;
    static get CODE(): FieldUtil<CnEnumCU>;
    static get NAME(): FieldUtil<CnEnumCU>;
    static get VALUE(): FieldUtil<CnEnumCU>;
    static get SEQ_NO(): FieldUtil<CnEnumCU>;
    static get DESCRIPTION(): FieldUtil<CnEnumCU>;
    static get CREATE_TIME(): FieldUtil<CnEnumCU>;
    static get UPDATE_TIME(): FieldUtil<CnEnumCU>;
    get CODE(): FieldUtil<CnEnumCU>;
    get NAME(): FieldUtil<CnEnumCU>;
    get VALUE(): FieldUtil<CnEnumCU>;
    get SEQ_NO(): FieldUtil<CnEnumCU>;
    get DESCRIPTION(): FieldUtil<CnEnumCU>;
    get CREATE_TIME(): FieldUtil<CnEnumCU>;
    get UPDATE_TIME(): FieldUtil<CnEnumCU>;
}
export { CnEnumMU, CnEnumCU };
